Subject: Re: bug#63300: 29.0.90; Tramp keeps customizing variables on every connection

From: Jimmy Wong <[email-masked]>
Date: Sun, 4 Jun 2023 12:59:39 +0100

To put this more concretely, if some packages I’m requiring in my init file transitively requires tramp, then I go to the package menu and install a new package, my customs file will not only have saved the new package in package-selected-packages, but also these gigantic connection-local-*-alist variables. This is just too much surprises.

Again, I think if tramp needs to cache the values of these variables, they should be written to a file in user-emacs-directory, not hacked in a customizable variable.
On 4 Jun 2023 at 12:42 PM +0100, Michael Albinus <[email-masked]>, wrote:
> Jimmy Wong <[email-masked]> writes:
>
> Hi,
>
> > I have since found out that simply M-x load-library tramp will have
> > these connection-local-*-alist variables set without haven’t done
> > anything.
>
> Yes, that's intended. But nothing should have been written to your init
> file with this scenario.
>
> Best regards, Michael.